#pragma once
#ifndef _AI_PATH_H_
#define _AI_PATH_H_

#include "CPoint.h"
#include "MyVector.h"

const static NALPDistance = 10;

class AIPath
{
private:
	CPoint cPoints[4];	//Control points of the curve(path)
	CPoint curPoint;	//Current point on path (used for position/orientation)
	float t;			//location between current control points (0-1)
	
public:
	void addControlPoint(CPoint cPoint);
	MyVector nextPosition();
	MyVector orientation();
};
#endif