#pragma once
#ifndef _C_POINT_H_
#define _C_POINT_H_

#include "MyVector.h"
//#include "Ogre.h"

class CPoint
{
public:
	MyVector pos;	//postion of control point
	MyVector up;	//up vector
	MyVector fw;	//forward vector
	float tension;

	inline CPoint()
		: pos(0,0,0), up(0,1,0), fw(1,0,0), tension(0){}
	inline CPoint(MyVector _pos)
		: pos(_pos), up(0,1,0), fw(1,0,0), tension(0){}
	inline CPoint(MyVector _pos, MyVector _up, MyVector _fw, float _tension = 0)
		: pos(_pos), up(_up), fw(_fw), tension(_tension){}

};
#endif